var is = require("../vows-is.js"),
	should = require("should");

is.config(require("./config.js"));

is.suite("vows-is").batch()

	.context("a request to GET /")
		.topic().is.a.request("GET /")
		.vow("returns 200", function _vow(err, res) {
			res.should.have.status(200);
		})
		.vow("returns text/html", function _vow(err, res) {
			res.headers["content-type"].should.include.string("text/html");
		})
		.context("contains a body")
			.topic().is.property('body')
			.vow("that exists", function _vow(body) {
				body.should.be.ok;
			})
			.vow("contains hello wolrd", function _vow(body) {
				body.should.include.string("hello world");
			})

.suite().export(module);